| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
FunnelTextDialog Class Reference

A dialog displaying text output from a Lua funnel script. More...

`#include <funnel_text_dialog.h>`

Inheritance diagram for FunnelTextDialog:

## Public Member Functions
| FunnelTextDialog (QWidget *parent, const QString &title=QString())
| Construct a FunnelTextDialog.
| ~FunnelTextDialog ()
| Destroy the FunnelTextDialog.
void | reject () override
| Handle dialog rejection, invoking the close callback if set.
void | setText (const QString text)
| Replace the dialog's text content.
void | appendText (const QString text)
| Append text to the end of the dialog's content.
void | prependText (const QString text)
| Prepend text to the beginning of the dialog's content.
void | clearText ()
| Clear all text from the dialog.
const char * | getText ()
| Return the current text content as a C string.
void | setCloseCallback (text_win_close_cb_t close_cb, void *close_cb_data)
| Set the callback to invoke when the dialog is closed.
void | setTextEditable (bool editable)
| Set whether the text area is editable by the user.
void | addButton (funnel_bt_t *button_cb, QString label)
| Add a script-defined button to the dialog.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Static Public Member Functions
static struct _funnel_text_window_t * | textWindowNew (QWidget *parent, const QString title)
| Create a new funnel text window.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

A dialog displaying text output from a Lua funnel script.

Provides a scrollable, optionally editable text area along with script-defined buttons and a find bar.

## Constructor & Destructor Documentation

## ◆ FunnelTextDialog()

FunnelTextDialog::FunnelTextDialog | ( | QWidget * | parent,
|  | const QString & | title = QString() )
| explicit

Construct a FunnelTextDialog.

Parameters

  parent | The parent widget.
  title | The dialog title.

## Member Function Documentation

## ◆ addButton()

void FunnelTextDialog::addButton | ( | funnel_bt_t * | button_cb,
|  | QString | label )

Add a script-defined button to the dialog.

Parameters

  button_cb | The funnel button callback descriptor.
  label | The button label text.

## ◆ appendText()

void FunnelTextDialog::appendText | ( | const QString | text | ) |

Append text to the end of the dialog's content.

Parameters

  text | The text to append.

## ◆ getText()

const char * FunnelTextDialog::getText | ( |  | ) |

Return the current text content as a C string.

Returns
  The current text content.

## ◆ prependText()

void FunnelTextDialog::prependText | ( | const QString | text | ) |

Prepend text to the beginning of the dialog's content.

Parameters

  text | The text to prepend.

## ◆ setCloseCallback()

void FunnelTextDialog::setCloseCallback | ( | text_win_close_cb_t | close_cb,
|  | void * | close_cb_data )

Set the callback to invoke when the dialog is closed.

Parameters

  close_cb | The close callback function.
  close_cb_data | User data to pass to the callback.

## ◆ setText()

void FunnelTextDialog::setText | ( | const QString | text | ) |

Replace the dialog's text content.

Parameters

  text | The new text to display.

## ◆ setTextEditable()

void FunnelTextDialog::setTextEditable | ( | bool | editable | ) |

Set whether the text area is editable by the user.

Parameters

  editable | true to allow editing, false to make it read-only.

## ◆ textWindowNew()

struct _funnel_text_window_t * FunnelTextDialog::textWindowNew | ( | QWidget * | parent,
|  | const QString | title )
| static

Create a new funnel text window.

Parameters

  parent | The parent widget.
  title | The window title.

Returns
  Pointer to the new funnel text window handle.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/funnel_text_dialog.h
- /builds/wireshark/wireshark/ui/qt/funnel_text_dialog.cpp